perl-docs-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ran...@apache.org
Subject cvs commit: modperl-docs/src/docs/general/os/win32 faq.pod
Date Sun, 19 Jan 2003 21:26:36 GMT
randyk      2003/01/19 13:26:36

  Modified:    src/docs/2.0/user/troubleshooting troubleshooting.pod
               src/docs/general/os/win32 faq.pod
  Log:
  - added note about using CGI.pm under mod_perl 2.0
  - added entry about using proper libapreq ppm package
  
  Revision  Changes    Path
  1.5       +5 -0      modperl-docs/src/docs/2.0/user/troubleshooting/troubleshooting.pod
  
  Index: troubleshooting.pod
  ===================================================================
  RCS file: /home/cvs/modperl-docs/src/docs/2.0/user/troubleshooting/troubleshooting.pod,v
  retrieving revision 1.4
  retrieving revision 1.5
  diff -u -r1.4 -r1.5
  --- troubleshooting.pod	4 Dec 2002 03:00:33 -0000	1.4
  +++ troubleshooting.pod	19 Jan 2003 21:26:36 -0000	1.5
  @@ -83,6 +83,11 @@
   module. Therefore you need to make sure that wherever that load
   happens C<%ENV> is properly set by that time.
   
  +=head2 Error about not finding I<Apache.pm> with I<CGI.pm>
  +
  +You need to install at least version 2.87 of CGI.pm to work
  +under mod_perl 2.0, as earlier CGI.pm versions aren't
  +mod_perl 2.0 aware.
   
   =head1 Maintainers
   
  
  
  
  1.4       +12 -3     modperl-docs/src/docs/general/os/win32/faq.pod
  
  Index: faq.pod
  ===================================================================
  RCS file: /home/cvs/modperl-docs/src/docs/general/os/win32/faq.pod,v
  retrieving revision 1.3
  retrieving revision 1.4
  diff -u -r1.3 -r1.4
  --- faq.pod	18 Jan 2003 05:16:49 -0000	1.3
  +++ faq.pod	19 Jan 2003 21:26:36 -0000	1.4
  @@ -199,11 +199,20 @@
   Try putting the path to your mysql DLLs (eg, F<D:\mysql\lib\opt>) in
   your I<PATH> environment variable.
   
  -=head2 With mod_perl 2.0, I get an error about not finding
  -I<Apache.pm> when using I<CGI.pm>.
  +=head2 An error about not finding I<Apache.pm> results under mod_perl
  +2.0 when using I<CGI.pm>.
   
  -Try upgrading CGI.pm to the latest version - earlier versions 
  +Try upgrading CGI.pm to at least version 2.87 - earlier versions 
   were not mod_perl 2.0 aware.
  +
  +=head2 I get an error about being unable to load I<Apache::Request>.
  +
  +For mod_perl 1.0, make sure you have installed the I<libapreq> ppm package
  +described for L<mod_perl 1.0 ppm
  +packages|docs::1.0::os::win32::install/PPM_Packages>; the
  +I<libapreq> package available in the ActiveState repository
  +will not work under mod_perl. Note that I<libapreq>
  +has not yet been ported to mod_perl 2.0.
   
   =head1 See Also
   
  
  
  

---------------------------------------------------------------------
To unsubscribe, e-mail: docs-cvs-unsubscribe@perl.apache.org
For additional commands, e-mail: docs-cvs-help@perl.apache.org


Mime
View raw message